## org.apache.batik.bridge
Class EmbededScriptSecurity

    java.lang.Object
      org.apache.batik.bridge.EmbededScriptSecurity

All Implemented Interfaces:
  ScriptSecurity

public class EmbededScriptSecurity
extends java.lang.Object
implements ScriptSecurity

This implementation of the `ScriptSecurity` interface only allows scripts embeded in the document, i.e., scripts whith either the same URL as the document (as for event attributes) or scripts embeded with the data protocol.

Field Summary
`static java.lang.String` `DATA_PROTOCOL`
`static java.lang.String` `ERROR_CANNOT_ACCESS_DOCUMENT_URL` Message when trying to load a script file and the Document does not have a URL
`static java.lang.String` `ERROR_SCRIPT_NOT_EMBEDED` Message when trying to load a script that is not embeded in the document.
`protected java.lang.SecurityException` `se` The exception is built in the constructor and thrown if not null and the checkLoadScript method is called.

Constructor Summary
`EmbededScriptSecurity(java.lang.String scriptType, ParsedURL scriptURL, ParsedURL docURL)`

Method Summary
`void` `checkLoadScript()` Controls whether the script should be loaded or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATA_PROTOCOL

    public static final java.lang.String DATA_PROTOCOL

See Also:
  Constant Field Values

### ERROR_CANNOT_ACCESS_DOCUMENT_URL

    public static final java.lang.String ERROR_CANNOT_ACCESS_DOCUMENT_URL

  Message when trying to load a script file and the Document does not have a URL

  See Also:
    Constant Field Values

### ERROR_SCRIPT_NOT_EMBEDED

    public static final java.lang.String ERROR_SCRIPT_NOT_EMBEDED

  Message when trying to load a script that is not embeded in the document.

  See Also:
    Constant Field Values

### se

    protected java.lang.SecurityException se

  The exception is built in the constructor and thrown if not null and the checkLoadScript method is called.

Constructor Detail

### EmbededScriptSecurity

    public EmbededScriptSecurity(java.lang.String scriptType,
                                 ParsedURL scriptURL,
                                 ParsedURL docURL)

Parameters:
  `scriptType` - type of script, as found in the type attribute of the <script> element.
  `scriptURL` - url for the script, as defined in the script's xlink:href attribute. If that attribute was empty, then this parameter should be null
  `docURL` - url for the document into which the script was found.

Method Detail

### checkLoadScript

    public void checkLoadScript()

  Controls whether the script should be loaded or not.

  Specified by:
    `checkLoadScript` in interface `ScriptSecurity`
  Throws:
    `java.lang.SecurityException` - if the script should not be loaded.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.